## seadrive-gui 3.0.13+ds1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9)

PROJECT(seadrive-gui)

SET(SEADRIVE_GUI_VERSION_MAJOR 3)
SET(SEADRIVE_GUI_VERSION_MINOR 0)
SET(SEADRIVE_GUI_VERSION_PATCH 13)
SET(PROJECT_VERSION "${SEADRIVE_GUI_VERSION_MAJOR}.${SEADRIVE_GUI_VERSION_MINOR}.${SEADRIVE_GUI_VERSION_PATCH}")
ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
ADD_DEFINITIONS(-DSEADRIVE_GUI_VERSION=${PROJECT_VERSION})

INCLUDE(FindPkgConfig)

IF (NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
  SET(CMAKE_BUILD_TYPE Debug)
  ADD_DEFINITIONS(-DSEADRIVE_GUI_DEBUG)
ENDIF()

IF (APPLE AND NOT CMAKE_OSX_DEPLOYMENT_TARGET)
  SET(CMAKE_OSX_DEPLOYMENT_TARGET "11.0")
ENDIF()

option(BUILD_ENABLE_WARNINGS "Enable compiler warnings." ON)

OPTION(USE_QT_WEBKIT "use qt webkit" OFF)

MESSAGE("Build type: ${CMAKE_BUILD_TYPE}")

## build in PIC mode
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")

## Setup warnings ouput if enabled
## but don't warning on unsupported warnings
if(BUILD_ENABLE_WARNINGS)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wsign-compare -Wno-long-long -Wno-unused-parameter")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wsign-compare -Wno-long-long -Wno-unused-parameter -Woverloaded-virtual")
  if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unknown-warning-option")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unknown-warning-option -Wno-inconsistent-missing-override")
  endif()
endif()

## color diagnostics fix
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fcolor-diagnostics")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fcolor-diagnostics")
elseif(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  execute_process(COMMAND ${CMAKE_CXX_COMPILER}
    -dumpversion OUTPUT_VARIABLE GCC_VERSION)
  if(GCC_VERSION VERSION_GREATER 4.9 OR GCC_VERSION VERSION_EQUAL 4.9)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fdiagnostics-color=always")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdiagnostics-color=always")
  endif()
endif()

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "BSD")
    INCLUDE_DIRECTORIES(${QT_QTDBUS_INCLUDE_DIR})
    LINK_DIRECTORIES(${QT_QTDBUS_LIBRARIES})
    SET(EXTRA_LIBS ${EXTRA_LIBS} ${QT_QTDBUS_LIBRARIES})
ELSEIF (APPLE)
    SET(platform_specific_sources ${platform_specific_sources}
      src/application.cpp
      src/file-provider-mgr.cpp
      src/file-provider/file-provider.mm)
    SET(platform_specific_moc_headers ${platform_specific_moc_headers}
      src/application.h
      src/file-provider-mgr.h)
    ## Enforce ARC for this file, since ARC is only supported after the objc
    ## runtime changes in os x 10.10
    SET_SOURCE_FILES_PROPERTIES(src/utils/utils-mac.mm
      PROPERTIES COMPILE_FLAGS -fobjc-arc)

    FIND_LIBRARY(COCOA_LIBRARY Cocoa)
    MARK_AS_ADVANCED (COCOA_LIBRARY)
    FIND_LIBRARY(Sec_LIBRARY Security)
    MARK_AS_ADVANCED (Sec_LIBRARY)
    FIND_LIBRARY(FinderSync_LIBRARY FinderSync)
    FIND_LIBRARY(FileProvider_LIBRARY FileProvider)
    SET(EXTRA_LIBS ${EXTRA_LIBS} ${COCOA_LIBRARY} ${Sec_LIBRARY} ${FinderSync_LIBRARY} ${FileProvider_LIBRARY})
ENDIF()


####################
###### BEGIN: QT configuration
####################

FIND_PROGRAM(qmake_executable NAMES qmake qmake.exe)
EXECUTE_PROCESS(COMMAND
    bash -c "${qmake_executable} --version | grep -iE '^using qt version [0-9.]+' | awk '{print $4}'"
    OUTPUT_VARIABLE DETECTED_QT_VERSION
    OUTPUT_STRIP_TRAILING_WHITESPACE)
MESSAGE("Qt version: ${DETECTED_QT_VERSION}")

EXECUTE_PROCESS(COMMAND
    bash -c "qmake --version|grep -iE '^using qt version [0-9]'|awk '{print $4}'|grep -iE '^[0-9]'|awk -F . '{print $1}'"
    OUTPUT_VARIABLE QT_VERSION_MAJOR
    OUTPUT_STRIP_TRAILING_WHITESPACE)
MESSAGE("QT_VERSION_MAJOR: ${QT_VERSION_MAJOR}")

IF(USE_QT_WEBKIT)
    ADD_DEFINITIONS(-DSEAFILE_USE_WEBKIT)
    SET(WEBKIT_NAME "WebKit")
    SET(WEBKIT_WIDGETS_NAME "WebKitWidgets")
ELSE()
    SET(WEBKIT_NAME "WebEngine")
    SET(WEBENGINE_CORE "WebEngineCore")
    SET(WEBKIT_WIDGETS_NAME "WebEngineWidgets")
    SET(SHIB_EXTRA_HEADER "src/shib/shib-helper.h")
ENDIF()

IF(QT_VERSION_MAJOR EQUAL 6)
    SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network Test Core5Compat WebEngineCore WebEngineWidgets)
ELSE()
    SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network Test)
ENDIF()

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} "DBus")
ENDIF()

IF(QT_VERSION_MAJOR EQUAL 6)
    FIND_PACKAGE(Qt6 COMPONENTS ${USE_QT_LIBRARIES} REQUIRED)
ELSE()
    FIND_PACKAGE(Qt5 REQUIRED ${USE_QT_LIBRARIES})
ENDIF()

SET(QT_LUPDATE_EXECUTABLE ${Qt5_LUPDATE_EXECUTABLE})

IF(QT_VERSION_MAJOR EQUAL 6)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
ELSE()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
ENDIF()

# for OS X, we requires libc++ instead
if (APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
    IF(QT_VERSION_MAJOR EQUAL 6)
        SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++17")
    ELSE()
        SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++11")
    ENDIF()
    SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
endif()

# MOC FILES
SET(moc_headers
  src/account-mgr.h

  src/api/api-client.h
  src/api/api-request.h
  src/api/requests.h

  src/auto-login-service.h
  src/daemon-mgr.h
  src/message-poller.h
  src/sync-command.h
  src/network-mgr.h
  src/remote-wipe-service.h
  src/account-info-service.h
  src/rpc/rpc-client.h
  src/rpc/rpc-server.h
  src/seadrive-gui.h
  src/settings-mgr.h

  src/traynotificationwidget.h
  src/traynotificationmanager.h

  src/ui/filter-menu.h
  src/ui/init-sync-dialog.h
  src/ui/loading-view.h
  src/ui/login-dialog.h
  src/ui/seafilelink-dialog.h
  src/ui/search-bar.h
  src/ui/search-dialog.h
  src/ui/settings-dialog.h
  src/ui/sharedlink-dialog.h
  src/ui/uploadlink-dialog.h
  src/ui/sync-errors-dialog.h
  src/ui/tray-icon.h
  src/ui/about-dialog.h
  src/ui/encrypted-repos-dialog.h
  src/ui/transfer-progress-dialog.h
  src/ui/uninstall-helper-dialog.h
  src/open-local-helper.h

  third_party/QtAwesome/QtAwesome.h

  src/shib/shib-login-dialog.h
  ${SHIB_EXTRA_HEADER}
  ${platform_specific_moc_headers}
)
IF(QT_VERSION_MAJOR EQUAL 6)
    QT6_WRAP_CPP(moc_output ${moc_headers})
ELSE()
    QT5_WRAP_CPP(moc_output ${moc_headers})
ENDIF()

SET(ui_files
  ui/uninstall-helper-dialog.ui
  ui/filter-menu.ui
  ui/init-sync-dialog.ui
  ui/login-dialog.ui
  ui/settings-dialog.ui
  ui/about-dialog.ui
)
IF(QT_VERSION_MAJOR EQUAL 6)
    QT6_WRAP_UI(ui_output ${ui_files})
ELSE()
    QT5_WRAP_UI(ui_output ${ui_files})
ENDIF()

# resources files
IF(QT_VERSION_MAJOR EQUAL 6)
  QT6_ADD_RESOURCES(
    resources_ouput
    seadrive-gui.qrc
    third_party/QtAwesome/QtAwesome.qrc
  )
ELSE()
  QT5_ADD_RESOURCES(
    resources_ouput
    seadrive-gui.qrc
    third_party/QtAwesome/QtAwesome.qrc
  )
ENDIF()

# MESSAGE("moc output: ${moc_output}")
# MESSAGE("ui output: ${ui_output}")

####################
###### END: QT configuration
####################

####################
###### BEGIN: pthread support is required explicitly on linux
####################

IF(NOT APPLE)
  SET(CMAKE_THREAD_PREFER_PTHREAD ON)
  INCLUDE(FindThreads)
  LINK_LIBRARIES(${CMAKE_THREAD_LIBS_INIT})
ENDIF(NOT APPLE)

####################
###### BEGIN: other libraries configuration
####################
FIND_PACKAGE(PkgConfig REQUIRED)

PKG_CHECK_MODULES(GLIB2 REQUIRED glib-2.0>=2.16.0)

PKG_CHECK_MODULES(JANSSON REQUIRED jansson>=2.0)

PKG_CHECK_MODULES(LIBSEARPC REQUIRED libsearpc>=1.0)

PKG_CHECK_MODULES(OPENSSL REQUIRED openssl>=0.98)

PKG_CHECK_MODULES(SQLITE3 REQUIRED sqlite3>=3.0.0)

####################
###### END: other libraries configuration
####################


# c/cpp sources
SET(seadrive_gui_sources
  src/account-mgr.cpp
  src/account.cpp

  src/api/api-client.cpp
  src/api/api-error.cpp
  src/api/api-request.cpp
  src/api/commit-details.cpp
  src/api/contact-share-info.cpp
  src/api/event.cpp
  src/api/requests.cpp
  src/api/server-repo.cpp
  src/api/seaf-dirent.cpp
  src/api/starred-file.cpp

  src/auto-login-service.cpp
  src/daemon-mgr.cpp
  src/main.cpp
  src/message-poller.cpp
  src/sync-command.cpp
  src/network-mgr.cpp
  src/remote-wipe-service.cpp
  src/account-info-service.cpp

  src/rpc/rpc-client.cpp
  src/rpc/rpc-server.cpp
  src/rpc/sync-error.cpp
  src/rpc/transfer-progress.cpp

  src/seadrive-gui.cpp
  src/settings-mgr.cpp

  src/shib/shib-login-dialog.cpp

  src/traynotificationwidget.cpp
  src/traynotificationmanager.cpp

  src/ui/filter-menu.cpp
  src/ui/init-sync-dialog.cpp
  src/ui/loading-view.cpp
  src/ui/login-dialog.cpp
  src/ui/seafilelink-dialog.cpp
  src/ui/search-bar.cpp
  src/ui/search-dialog.cpp
  src/ui/settings-dialog.cpp
  src/ui/sharedlink-dialog.cpp
  src/ui/uploadlink-dialog.cpp
  src/ui/sync-errors-dialog.cpp
  src/ui/tray-icon.cpp
  src/ui/about-dialog.cpp
  src/ui/encrypted-repos-dialog.cpp
  src/ui/transfer-progress-dialog.cpp
  src/ui/uninstall-helper-dialog.cpp

  src/open-local-helper.cpp

  src/utils/uninstall-helpers.cpp
  ${platform_specific_sources}

  src/i18n.cpp
  third_party/QtAwesome/QtAwesome.cpp
)

INCLUDE_DIRECTORIES(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/src
  ${CMAKE_CURRENT_SOURCE_DIR}/third_party/QtAwesome
  )

FOREACH(USE_QT_LIBRARY ${USE_QT_LIBRARIES})
INCLUDE_DIRECTORIES(
IF(QT_VERSION_MAJOR EQUAL 6)
    ${Qt6${USE_QT_LIBRARY}_INCLUDE_DIRS}
ELSE()
    ${Qt5${USE_QT_LIBRARY}_INCLUDE_DIRS}
ENDIF()
)
ENDFOREACH()

INCLUDE_DIRECTORIES(
  ${GLIB2_INCLUDE_DIRS}
  ${JANSSON_INCLUDE_DIRS}
  ${LIBSEARPC_INCLUDE_DIRS}
  ${OPENSSL_INCLUDE_DIRS}
  ${SQLITE3_INCLUDE_DIRS}
)

LINK_DIRECTORIES(
  ${GLIB2_LIBRARY_DIRS}
  ${JANSSON_LIBRARRY_DIRS}
  ${LIBSEARPC_LIBRARY_DIRS}
  ${OPENSSL_LIBRARY_DIRS}
  ${QT_LIBRARY_DIR}
  ${SQLITE3_LIBRARRY_DIRS}
)

####################
###### begin: lib
####################

# Helper Function to Add Seafile-Client Library
# Usage:
# ADD_SC_LIBRARY (name sources
#     MOC_HEADERS moc_headers
#     UI_FILES ui_files
#     DEPENDS part
#     LINK_LIBS libs
#     )
FUNCTION(ADD_SC_LIBRARY name)
    MESSAGE(STATUS "Found internal library: ${name}")
    CMAKE_PARSE_ARGUMENTS(ARG
      ""
      ""
      "MOC_HEADERS;UI_FILES;DEPENDS;LINK_LIBS"
      ${ARGN})
    IF(ARG_MOC_HEADERS)
        IF(QT_VERSION_MAJOR EQUAL 6)
            QT6_WRAP_CPP(MOC_OUTPUT ${ARG_MOC_HEADERS})
        ELSE()
            QT5_WRAP_CPP(MOC_OUTPUT ${ARG_MOC_HEADERS})
        ENDIF()
    ENDIF()
    IF(ARG_UI_FILES)
        IF(QT_VERSION_MAJOR EQUAL 6)
            QT6_WRAP_UI(UI_OUTPUT ${ARG_UI_FILES})
        ELSE()
            QT5_WRAP_UI(UI_OUTPUT ${ARG_UI_FILES})
        ENDIF()
    ENDIF()

    ADD_LIBRARY(${name} STATIC ${ARG_UNPARSED_ARGUMENTS}
      ${MOC_OUTPUT} ${UI_OUTPUT})

    TARGET_LINK_LIBRARIES(${name} ${QT_LIBRARIES}
        ${SQLITE3_LIBRARIES} ${JANSSON_LIBRARIES}
        ${EXTRA_LIBS} -lglib-2.0 ${ARG_LINK_LIBS})
ENDFUNCTION(ADD_SC_LIBRARY)

# library utils
LIST(APPEND utils_sources
    src/utils/utils.cpp
    src/utils/api-utils.cpp
    src/utils/paint-utils.cpp
    src/utils/file-utils.cpp
    src/utils/translate-commit-desc.cpp
    src/utils/json-utils.cpp
    src/utils/log.c
    src/utils/stl.cpp
    src/utils/i18n-utils.cpp
    )

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "BSD")
    LIST(APPEND utils_sources
        src/utils/process-linux.cpp
        )
ELSEIF(APPLE)
    LIST(APPEND utils_sources
        src/utils/process-mac.cpp
        src/utils/utils-mac.mm)
ENDIF()

ADD_SC_LIBRARY(utils ${utils_sources})

SET(SC_LIBS utils)

####################
###### end: lib
####################

####################
###### start: translations
####################

SET(LANGUAGES
  ca
  de_DE
  en
  es
  es_AR
  es_MX
  fr_FR
  he_IL
  hu_HU
  is
  it
  ko_KR
  nl_BE
  pl_PL
  pt_BR
  pt_PT
  ru
  sk_SK
  uk
  zh_CN

=== extensions/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(seadrive_shell_ext)

OPTION(X32 "Build 32 bit instead of 64bit dll" OFF)

IF (X32)
  SET(WINVER 0x0501)
  SET(DLL_NAME seadrive_shell_ext)
  set(CMAKE_RC_COMPILER windres)
ELSE(X32)
  SET(WINVER 0x0502)
  SET(DLL_NAME seadrive_shell_ext64)
  set(CMAKE_RC_COMPILER x86_64-w64-mingw32-windres)
ENDIF()

IF (NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
  SET(CMAKE_BUILD_TYPE Debug)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -g")
ENDIF()
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O0 -fno-omit-frame-pointer -Wall -Wextra -Wno-unused-parameter -std=c++0x")

ADD_DEFINITIONS(-D_WIN32_WINNT=${WINVER} -DWINVER=${WINVER})

SET(CMAKE_CXX_CREATE_SHARED_LIBRARY
    "<CMAKE_CXX_COMPILER> <CMAKE_SHARED_LIBRARY_CXX_FLAGS> <LINK_FLAGS> <CMAKE_SHARED_LIBRARY_CREATE_CXX_FLAGS> -o <TARGET> ${CMAKE_GNULD_IMAGE_VERSION} <OBJECTS> <LINK_LIBRARIES>")

SET(ext_sources
  dll.cpp
  shell-ext.cpp
  class-factory.cpp
  context-menu.cpp
  icon-overlay.cpp
  log.cpp
  applet-connection.cpp
  commands.cpp
  ext-utils.cpp
  i18n.cpp
  seadrive_shell_ext.def
  seadrive_shell_ext.rc
)

SET_SOURCE_FILES_PROPERTIES(context-menu.cpp PROPERTIES COMPILE_FLAGS -fpermissive)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
LINK_LIBRARIES(uuid oleaut32 ole32 ws2_32 shlwapi userenv)

ADD_LIBRARY(seadrive_shell_ext SHARED ${ext_sources})
SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib)

SET_TARGET_PROPERTIES(seadrive_shell_ext PROPERTIES
  LINK_FLAGS "-static -lstdc++ -Wl,--enable-stdcall-fixup"
  OUTPUT_NAME "${DLL_NAME}"
  PREFIX "")

=== debian/changelog ===
seadrive-gui (3.0.13+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #974214)
  * New upstream version 3.0.13+ds1
  * Fix Maintainer, Uploaders and use my DD email address
  * Patch to fix directive nesting in CMakeLists.txt
  * wrap-and-sort

 -- Moritz Schlarb <moschlar@debian.org>  Thu, 06 Mar 2025 13:49:55 +0100

## seadrive-gui 3.0.15+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SET(SEADRIVE_GUI_VERSION_MAJOR 3)
 SET(SEADRIVE_GUI_VERSION_MINOR 0)
-SET(SEADRIVE_GUI_VERSION_PATCH 13)
+SET(SEADRIVE_GUI_VERSION_PATCH 15)
 SET(PROJECT_VERSION "${SEADRIVE_GUI_VERSION_MAJOR}.${SEADRIVE_GUI_VERSION_MINOR}.${SEADRIVE_GUI_VERSION_PATCH}")
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
 ADD_DEFINITIONS(-DSEADRIVE_GUI_VERSION=${PROJECT_VERSION})
@@ -191,6 +191,12 @@
   ${SHIB_EXTRA_HEADER}
   ${platform_specific_moc_headers}
 )
+
+IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "BSD")
+    LIST(APPEND moc_headers
+        src/ext-handler.h)
+ENDIF()
+
 IF(QT_VERSION_MAJOR EQUAL 6)
     QT6_WRAP_CPP(moc_output ${moc_headers})
 ELSE()
@@ -326,6 +332,13 @@
   src/i18n.cpp
   third_party/QtAwesome/QtAwesome.cpp
 )
+
+IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "BSD")
+    LIST(APPEND seadrive_gui_sources
+        src/ext-handler.cpp)
+ENDIF()
+
+
 
 INCLUDE_DIRECTORIES(
   ${CMAKE_CURRENT_SOURCE_DIR}
@@ -428,34 +441,3 @@
 
 ADD_SC_LIBRARY(utils ${utils_sources})
 
-SET(SC_LIBS utils)
-
-####################
-###### end: lib
-####################
-
-####################
-###### start: translations
-####################
-
-SET(LANGUAGES
-  ca
-  de_DE
-  en
-  es
-  es_AR
-  es_MX
-  fr_FR
-  he_IL
-  hu_HU
-  is
-  it
-  ko_KR
-  nl_BE
-  pl_PL
-  pt_BR
-  pt_PT
-  ru
-  sk_SK
-  uk
-  zh_CN

=== debian/changelog ===
seadrive-gui (3.0.15+ds1-1) unstable; urgency=medium

  * New upstream version 3.0.15+ds1

 -- Moritz Schlarb <moschlar@debian.org>  Tue, 12 Aug 2025 09:31:39 +0200

=== debian/rules ===
#!/usr/bin/make -f

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# For $(DEB_VERSION_UPSTREAM)
include /usr/share/dpkg/pkg-info.mk

export QT_SELECT=5

CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_gencontrol:
	# Set source-Upstream-Version to the *actual* upstream version without repack suffix
	# Needed for versioned dependency on daemon package in d/control
	dh_gencontrol -- -Vsource-Upstream-Version=$(DEB_VERSION_UPSTREAM:%+ds1=%)

=== debian/watch ===
version=4

opts="dversionmangle=s/\+ds\d*$//, repacksuffix=+ds1, \
    filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/haiwen/seadrive-gui/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## seadrive-gui 3.0.16%2Bds1

=== debian/changelog ===
seadrive-gui (3.0.16+ds1-1) unstable; urgency=medium

  * Update d/watch file to version 5
  * New upstream version 3.0.16+ds1

 -- Moritz Schlarb <moschlar@debian.org>  Tue, 07 Oct 2025 09:42:03 +0200

seadrive-gui (3.0.15+ds1-2) unstable; urgency=medium

  * d/rules: CMake 4.0 compatibility (Closes: #1113491)

 -- Moritz Schlarb <moschlar@debian.org>  Mon, 06 Oct 2025 11:49:48 +0200

## seadrive-gui 3.0.16+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SET(SEADRIVE_GUI_VERSION_MAJOR 3)
 SET(SEADRIVE_GUI_VERSION_MINOR 0)
-SET(SEADRIVE_GUI_VERSION_PATCH 15)
+SET(SEADRIVE_GUI_VERSION_PATCH 16)
 SET(PROJECT_VERSION "${SEADRIVE_GUI_VERSION_MAJOR}.${SEADRIVE_GUI_VERSION_MINOR}.${SEADRIVE_GUI_VERSION_PATCH}")
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
 ADD_DEFINITIONS(-DSEADRIVE_GUI_VERSION=${PROJECT_VERSION})
@@ -183,6 +183,7 @@
   src/ui/encrypted-repos-dialog.h
   src/ui/transfer-progress-dialog.h
   src/ui/uninstall-helper-dialog.h
+  src/ui/sync-root-name-dialog.h
   src/open-local-helper.h
 
   third_party/QtAwesome/QtAwesome.h
@@ -210,6 +211,7 @@
   ui/login-dialog.ui
   ui/settings-dialog.ui
   ui/about-dialog.ui
+  ui/sync-root-name-dialog.ui
 )
 IF(QT_VERSION_MAJOR EQUAL 6)
     QT6_WRAP_UI(ui_output ${ui_files})
@@ -323,6 +325,7 @@
   src/ui/encrypted-repos-dialog.cpp
   src/ui/transfer-progress-dialog.cpp
   src/ui/uninstall-helper-dialog.cpp
+  src/ui/sync-root-name-dialog.cpp
 
   src/open-local-helper.cpp
 
@@ -435,9 +438,3 @@
         )
 ELSEIF(APPLE)
     LIST(APPEND utils_sources
-        src/utils/process-mac.cpp
-        src/utils/utils-mac.mm)
-ENDIF()
-
-ADD_SC_LIBRARY(utils ${utils_sources})
-

=== debian/control ===
Source: seadrive-gui
Section: utils
Priority: optional
Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
Uploaders: Moritz Schlarb <moschlar@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libglib2.0-dev,
 libjansson-dev,
 libsearpc-dev,
 libsqlite3-dev,
 libssl-dev,
 qtbase5-dev,
 qtchooser,
 qttools5-dev,
 qttools5-dev-tools,
 qtwebengine5-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/haiwen/seadrive-gui/
Vcs-Browser: https://salsa.debian.org/seafile-team/seadrive-gui
Vcs-Git: https://salsa.debian.org/seafile-team/seadrive-gui.git

Package: seadrive-gui
Architecture: any
Depends:
 seadrive-fuse (>= ${source-Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: SeaDrive daemon with FUSE interface
 Seafile is a file syncing and sharing software with file encryption
 and group sharing, emphasis on reliability and high performance.
 .
 Seafile is an open source cloud storage system with privacy protection
 and teamwork features. Collections of files are called libraries. Each
 library can be synced separately. A library can also be encrypted with
 a user chosen password. Seafile also allows users to create groups and
 easily sharing files into groups.
 .
 This package contains the GUI part of seadrive.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 export QT_SELECT=5
 
-CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release
+CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release \
+              -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 %:
 	dh $@

=== debian/watch ===
Version: 5

Template: Github
Owner: haiwen
Project: seadrive-gui
Dversion-Mangle: auto
Repacksuffix: +ds1

## seadrive-gui 3.0.18+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SET(SEADRIVE_GUI_VERSION_MAJOR 3)
 SET(SEADRIVE_GUI_VERSION_MINOR 0)
-SET(SEADRIVE_GUI_VERSION_PATCH 16)
+SET(SEADRIVE_GUI_VERSION_PATCH 18)
 SET(PROJECT_VERSION "${SEADRIVE_GUI_VERSION_MAJOR}.${SEADRIVE_GUI_VERSION_MINOR}.${SEADRIVE_GUI_VERSION_PATCH}")
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
 ADD_DEFINITIONS(-DSEADRIVE_GUI_VERSION=${PROJECT_VERSION})

=== debian/changelog ===
seadrive-gui (3.0.18+ds1-1) unstable; urgency=medium

  * Fix URLs in d/u/metadata
  * New upstream version 3.0.18+ds1
  * Refresh patches

 -- Moritz Schlarb <moschlar@debian.org>  Tue, 25 Nov 2025 09:36:18 +0100
